#ifndef _Handle_PPoly_HArray1OfTriangle_HeaderFile
#define _Handle_PPoly_HArray1OfTriangle_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PPoly_HArray1OfTriangle;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PPoly_HArray1OfTriangle);

class Handle(PPoly_HArray1OfTriangle) : public Handle(Standard_Persistent) {
  public:

    Handle(PPoly_HArray1OfTriangle)():Handle(Standard_Persistent)() {} 
    Handle(PPoly_HArray1OfTriangle)(const Handle(PPoly_HArray1OfTriangle)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PPoly_HArray1OfTriangle)(const PPoly_HArray1OfTriangle* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PPoly_HArray1OfTriangle)& operator=(const Handle(PPoly_HArray1OfTriangle)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PPoly_HArray1OfTriangle)& operator=(const PPoly_HArray1OfTriangle* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PPoly_HArray1OfTriangle* operator->() const 
     {
      return (PPoly_HArray1OfTriangle *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PPoly_HArray1OfTriangle) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
